package com.imyeyu.fx.ui.examples.util;

import com.imyeyu.fx.ui.TimiFXUI;
import com.imyeyu.fx.ui.components.TrayFX;
import com.imyeyu.fx.ui.examples.TimiFXExamples;
import com.imyeyu.fx.ui.examples.bean.Config;
import com.imyeyu.inject.annotation.Bean;
import com.imyeyu.inject.annotation.Configuration;
import javafx.scene.image.Image;

/**
 * 静态资源
 *
 * @author 夜雨
 * @since 2022-08-26 15:23
 */
@Configuration
public class Resources implements TimiFXUI {

	public static final Image ICON_X64 = new Image(RESOURCE + "/icon.png", 64, 64, true, false);

	/** @return 配置 */
	@Bean
	public Config config() {
		return TimiFXExamples.getConfig();
	}

	/** @return 托盘 */
	@Bean
	public TrayFX trayFX() {
		return TrayFX.getInstance();
	}
}
